package hiro.yoshioka.sql.resource;

public interface IDBSequence extends IDBResource, ITextExtension {
	static final IDBSequence[] EMPTY_ARRAY = new IDBSequence[0];

	public int getMin();

	public void setMin(int min);

	public int getMax();

	public void setMax(int max);

	public int getIncrement();

	public void setIncrement(int increment);

	public int getStart();

	public void setStart(int start);

	public int getCashe();

	public void setCashe(int cashe);

	public boolean isCycle();

	public void setCycle(boolean cycle);
}
